Subject: Re: git-gui blame dividing by zero

From: Andy Parkins <[email-masked]>
Date: Thu, 5 Apr 2007 09:33:11 +0100

On Wednesday 2007 April 04 17:11, Shawn O. Pearce wrote:

> I just pushed a new patch to my git-gui.git repository, its now in
> both the maint and master branches.  Please give that a try.  ;-)

Okay - it's an improvement - no more divide by zero error.  However, I don't 
get any output.  Just an empty window with HEAD:somefile.cc in it.

The following both give lots of output:

 $ git blame HEAD -- somefile.cc 
 $ git blame --incremental HEAD -- somefile.cc

So; I think you've fixed a nasty bug, but that bug was only presenting because 
something else is messed up.  I'll poke around and see what I can discover 
(however, I don't understand tk so what I discover might be that I don't 
understand tk :-)).

Andy

-- 
Dr Andy Parkins, M Eng (hons), MIET
[email-masked]